document-understanding
2.2510
true
Guía de la API de Document Understanding
- Primeros pasos
- Ejemplos de uso de la API de Document Understanding™
- Licencia
- Solución de problemas
Importante :
La localización de contenidos recién publicados puede tardar entre una y dos semanas en estar disponible.
Detalles para recuperar un resultado de solicitud de extracción en las API de Document Understanding, con referencias al esquema de respuesta completo para el estado de la solicitud y las definiciones de campo.
Consejo:
Para obtener información detallada sobre el esquema de respuesta, consulta la página Esquemas de respuesta de solicitudes. Allí puedes encontrar más información sobre el estado de la solicitud y otro campo.
Obtener los campos de extracción de un documento
Utilice el operationID recibido previamente en la respuesta a la llamada POST.
Consejo:
El ID del proyecto se obtiene de la respuesta recibida de la llamada Obtener Information del Proyecto.
curl -X 'GET' \ 'https://{fqdn}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/extraction/result/eee0a911-dfe8-ed11-907c-6045bd9d17d0?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhbGciOiJSUz***u-qA'
curl -X 'GET' \ 'https://{fqdn}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/extraction/result/eee0a911-dfe8-ed11-907c-6045bd9d17d0?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhbGciOiJSUz***u-qA'
Obtener la respuesta de extraer campos de un documento
Este ejemplo se ha reducido para facilitar la lectura.
{
"status": "Succeeded",
"createdAt": "2023-05-02T11:47:10.0145504Z",
"lastUpdatedAt": "2023-05-02T11:47:12.6533333Z",
"result": {
"extractionResult": {
"documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
"resultsVersion": 0,
"resultsDocument": {
"bounds": {
"startPage": 0,
"pageCount": 1,
"textStartIndex": 0,
"textLength": 929
},
"language": "eng",
"documentGroup": "",
"documentCategory": "",
"documentTypeId": "invoices",
"documentTypeName": "Invoices",
"documentTypeDataVersion": 0,
"dataVersion": 0,
"documentTypeSource": "Automatic",
"documentTypeField": {
"components": [],
"value": "Invoices",
"unformattedValue": "",
"reference": {
"textStartIndex": 0,
"textLength": 0,
"tokens": []
},
"derivedFields": [],
"confidence": 1,
"operatorConfirmed": false,
"ocrConfidence": -1,
"textType": "Unknown"
},
"fields": [
{
"fieldId": "iban",
"fieldName": "IBAN",
"fieldType": "Text",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": false
},
{
"fieldId": "bank-addr",
"fieldName": "Bank Address",
"fieldType": "Text",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": false
},
{
"fieldId": "tax-rate",
"fieldName": "Tax Rate",
"fieldType": "Number",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": false
}
],
"tables": [
{
"fieldId": "items",
"fieldName": "items",
"isMissing": false,
"dataSource": "Automatic",
"dataVersion": 0,
"operatorConfirmed": false,
"values": [
{
"operatorConfirmed": false,
"confidence": 0.8858047,
"ocrConfidence": -1,
"cells": [
{
"rowIndex": 1,
"columnIndex": 5,
"isHeader": false,
"isMissing": true,
"operatorConfirmed": false,
"dataSource": "Automatic",
"dataVersion": 0,
"values": null
},
{
"rowIndex": 1,
"columnIndex": 6,
"isHeader": false,
"isMissing": true,
"operatorConfirmed": false,
"dataSource": "Automatic",
"dataVersion": 0,
"values": null
}
],
"columnInfo": [
{
"fieldId": "description",
"fieldName": "Description",
"fieldType": "Text"
},
{
"fieldId": "quantity",
"fieldName": "Quantity",
"fieldType": "Number"
},
],
"numberOfRows": 2
}
]
}
]
},
"extractorPayloads": null,
"businessRulesResults": null
}
}
}
{
"status": "Succeeded",
"createdAt": "2023-05-02T11:47:10.0145504Z",
"lastUpdatedAt": "2023-05-02T11:47:12.6533333Z",
"result": {
"extractionResult": {
"documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
"resultsVersion": 0,
"resultsDocument": {
"bounds": {
"startPage": 0,
"pageCount": 1,
"textStartIndex": 0,
"textLength": 929
},
"language": "eng",
"documentGroup": "",
"documentCategory": "",
"documentTypeId": "invoices",
"documentTypeName": "Invoices",
"documentTypeDataVersion": 0,
"dataVersion": 0,
"documentTypeSource": "Automatic",
"documentTypeField": {
"components": [],
"value": "Invoices",
"unformattedValue": "",
"reference": {
"textStartIndex": 0,
"textLength": 0,
"tokens": []
},
"derivedFields": [],
"confidence": 1,
"operatorConfirmed": false,
"ocrConfidence": -1,
"textType": "Unknown"
},
"fields": [
{
"fieldId": "iban",
"fieldName": "IBAN",
"fieldType": "Text",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": false
},
{
"fieldId": "bank-addr",
"fieldName": "Bank Address",
"fieldType": "Text",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": false
},
{
"fieldId": "tax-rate",
"fieldName": "Tax Rate",
"fieldType": "Number",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": false
}
],
"tables": [
{
"fieldId": "items",
"fieldName": "items",
"isMissing": false,
"dataSource": "Automatic",
"dataVersion": 0,
"operatorConfirmed": false,
"values": [
{
"operatorConfirmed": false,
"confidence": 0.8858047,
"ocrConfidence": -1,
"cells": [
{
"rowIndex": 1,
"columnIndex": 5,
"isHeader": false,
"isMissing": true,
"operatorConfirmed": false,
"dataSource": "Automatic",
"dataVersion": 0,
"values": null
},
{
"rowIndex": 1,
"columnIndex": 6,
"isHeader": false,
"isMissing": true,
"operatorConfirmed": false,
"dataSource": "Automatic",
"dataVersion": 0,
"values": null
}
],
"columnInfo": [
{
"fieldId": "description",
"fieldName": "Description",
"fieldType": "Text"
},
{
"fieldId": "quantity",
"fieldName": "Quantity",
"fieldType": "Number"
},
],
"numberOfRows": 2
}
]
}
]
},
"extractorPayloads": null,
"businessRulesResults": null
}
}
}